This week's giveaway is in the Android forum.
We're giving away four copies of Android Security Essentials Live Lessons and have Godfrey Nolan on-line!
See this thread for details.
The moose likes Web Services and the fly likes updating apache axiom jars from 1.2.8 to 1.2.14 throws LinkageError - Websphere v8.0 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Android Security Essentials Live Lessons this week in the Android forum!
JavaRanch » Java Forums » Java » Web Services
Bookmark "updating apache axiom jars from 1.2.8 to 1.2.14 throws LinkageError - Websphere v8.0" Watch "updating apache axiom jars from 1.2.8 to 1.2.14 throws LinkageError - Websphere v8.0" New topic
Author

updating apache axiom jars from 1.2.8 to 1.2.14 throws LinkageError - Websphere v8.0

Ram Nagaraj
Greenhorn

Joined: Feb 21, 2013
Posts: 8
Caused by: java.lang.LinkageError: loading constraint violation: loader "com/ibm/ws/classloader/CompoundClassLoader@24ce0b8" previously initiated loading for a different type with name "javax/xml/stream/XMLStreamReader" defined by loader "com/ibm/oti/vm/BootstrapClassLoader@24660ba"
at java.lang.ClassLoader.defineClassImpl(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:262)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:69)
at com.ibm.ws.classloader.CompoundClassLoader._defineClass(CompoundClassLoader.java:829)
at com.ibm.ws.classloader.CompoundClassLoader.localFindClass(CompoundClassLoader.java:744)
at com.ibm.ws.classloader.CompoundClassLoader.loadClass(CompoundClassLoader.java:585)
at java.lang.ClassLoader.loadClass(ClassLoader.java:627)
at java.lang.J9VMInternals.verifyImpl(Native Method)
at java.lang.J9VMInternals.verify(J9VMInternals.java:90)
at java.lang.J9VMInternals.initialize(J9VMInternals.java:167)
at java.lang.J9VMInternals.newInstanceImpl(Native Method)
at java.lang.Class.newInstance(Class.java:1355)
at javax.xml.stream.FactoryFinder.newInstance(Unknown Source)
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: updating apache axiom jars from 1.2.8 to 1.2.14 throws LinkageError - Websphere v8.0
 
Similar Threads
WSAD Relies on PARENT_FIRST classloading to support webservices
java.lang.LinkageError
Servlet loading in Websphere4.0.3
Linkage error
All of the suden java.lang.NoClassDefFoundError and class is there